package ca.virology.japafi.utils;
import java.util.*;

public class Util 
{
	public static int getStartPositionsCount(BitSet set)
	{
		int counter=0;
		int nextPos=0;
		while(nextPos!=-1)
		{
			nextPos=set.nextSetBit(nextPos);
			if(nextPos!=-1)
			{
				counter++;
				nextPos++;
			}
		}
		return counter;
	}
	
	public static String bitSetToString(BitSet set, int len)
	{
		StringBuffer sb=new StringBuffer("");
		for(int i=0;i<len;i++)
		{
			if(set.get(i))
				sb.append("1");
			else
				sb.append("0");
		}
		return sb.toString();
	}
	
	public static List bitSetToPositions(BitSet set, int len)
	{
		List ret=new ArrayList();
		for(int i=0;i<len;i++)
		{
			if(set.get(i))
				ret.add(new Integer(i));
		}
		return ret;
	}
}
